
CoCoA-5 - Support #1660

Updating file obsolescent.cpkg5: make it easier

07 Feb 2022 19:19 - Anna Maria Bigatti

Status: Closed Start date: 07 Feb 2022

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 3.51 hours

Target version: CoCoA-5.4.0 Spent time: 3.50 hours

Description

The file "obsolescent.cpkg5" is designed to track the latest changes and help the user to keep his code up-to-date.

Make it easier to maintain.

Related issues:

Related to CoCoALib - Design #854: Function MakeTermOrd should be renamed Mak... Closed 24 Mar 2016

History

#1 - 07 Feb 2022 19:23 - Anna Maria Bigatti

- Category set to Manual/documentation

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.4.0

- % Done changed from 0 to 90

I've added the functions ObsoleteFunc and ObsolescentFunc producing the relevant string.

Now the code is easier to read and less painful to maintain.

(I've updated only the latest entries)

#2 - 09 Feb 2022 16:38 - Anna Maria Bigatti

Further improvement:

function PrintOBSOLESCENT and OBSOLETE,   and variables for CoCoA versions.

Easier for the maintainer ==> more helpful for the user.

#3 - 14 Feb 2022 18:11 - Anna Maria Bigatti

- Related to Design #854: Function MakeTermOrd should be renamed MakeTermOrdMat? added

#4 - 14 Feb 2022 18:16 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 3.51 h
